using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Truant is an ability that causes the Pokémon to only be able to move every other turn.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Truant_(Ability)">Bulbapedia - Truant</see>
/// </summary>
[Script(ScriptCategory.Ability, "truant")]
public class Truant : Script, IScriptOnAfterMove
{
    /// <inheritdoc />
    public void OnAfterMove(IExecutingMove move)
    {
        move.User.Volatile.Add(new TruantEffect(move.User));
    }
}